# Store

A store is a location where products, gifts, memberships can be purchased.

## List all stores

> Returns a list of stores. The stores are returned in descending order by creation date.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Store","description":"A store is a location where products, gifts, memberships can be purchased."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Store-store.read":{"type":"object","description":"A store is a location where products, gifts, memberships can be purchased.","properties":{"id":{"readOnly":true,"type":"integer"},"organisation":{"type":"integer"},"name":{"type":"string"},"status":{"default":"Draft","type":"string","enum":["Draft","Active","Closed"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"domain":{"description":"The glu.io subdomain for the store, e.g. \"my-store\" for \"my-store.glu.io\". This is used to generate links to the store and must be unique across all stores.","type":"string"},"aliasDomain":{"anyOf":[{"$ref":"#/components/schemas/StoreAliasDomain-store.read"},{"type":"null"}]},"defaultVoucherTerms":{"default":"","type":"string"},"paymentGateway":{"anyOf":[{"$ref":"#/components/schemas/OrganisationPaymentGateway-store.read"},{"type":"null"}]},"hasValidFrom":{"default":false,"type":"boolean"},"validFromPeriod":{"type":["string","null"],"enum":["Days","Months","Years","Fixed",null]},"validFromLength":{"type":["integer","null"]},"validFromFixedDate":{"description":"The fixed start date for vouchers. This is used if the validity period is based on a fixed date rather than a length of time.","type":["string","null"],"format":"date-time"},"validityPeriod":{"default":"Years","type":"string","enum":["Days","Months","Years","Fixed"]},"validityLength":{"description":"Combined with the validityPeriod field, this defines the length of time vouchers are valid for. For example if validityPeriod is set to \"Months\" and this field is set to 6, vouchers will be valid for 6 months from the date they are issued.","default":1,"type":"integer"},"validityFixedDate":{"description":"The fixed expiration date for vouchers. This is used if the validity period is based on a fixed date rather than a length of time.","type":["string","null"],"format":"date-time"},"termsUrl":{"description":"A full URL to the terms and conditions for the store. This should link to a page that outlines the terms and conditions for using the store, including any rules around purchasing, returns, and refunds.","default":"","type":"string"},"privacyUrl":{"description":"A full URL to the privacy policy for the store. This should link to a page that outlines how customer data is collected, used, and protected when using the store.","default":"","type":"string"},"contactUrl":{"description":"A full URL to a page that provides contact information and support options for customers.","default":"","type":"string"},"locations":{"type":"array","items":{"$ref":"#/components/schemas/Location-store.read"}},"mainWebsiteUrl":{"description":"The full URL back to your own website. This is used in various places such as the header and footer of the store, and can be used to link back to your main website from the store.","default":"","type":"string"},"businessDescription":{"default":"","type":"string"},"type":{"type":"string","enum":["Gift Card","Membership"]},"redirectOnSingleProduct":{"default":true,"type":"boolean"},"qrCodeMode":{"default":"Code","type":"string","enum":["Code","Redeem URL","Register URL"]},"notifyEmailAddresses":{"type":"array","items":{"type":["string","null"]}},"processingFee":{"default":0,"type":"integer"},"processingFeeLabel":{"default":"","type":"string"},"processingFeeEnabled":{"default":false,"type":"boolean"},"defaultVoucherRedeemInstructions":{"default":"","type":"string"},"timezone":{"default":"Europe/London","type":["string","null"]},"language":{"default":"en","type":["string","null"]},"giftCardsExpire":{"default":true,"type":"boolean"},"locale":{"default":"en_GB","type":"string"},"currencies":{"type":"array","items":{"$ref":"#/components/schemas/StoreCurrency-store.read"}},"displayName":{"default":"","type":"string"}}},"StoreAliasDomain-store.read":{"type":"object","properties":{"id":{"readOnly":true,"type":"integer"},"domain":{"type":"string"}}},"OrganisationPaymentGateway-store.read":{"type":"object"},"Location-store.read":{"type":"object"},"StoreCurrency-store.read":{"type":"object","properties":{"currencyCode":{"type":"string"}}},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["number","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["number","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/stores":{"get":{"operationId":"api_stores_get_collection","tags":["Store"],"responses":{"200":{"description":"Store collection","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Store-store.read"}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"List all stores","description":"Returns a list of stores. The stores are returned in descending order by creation date.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false}]}}}}
```

## Retrieve a store

> Retrieve a store

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Store","description":"A store is a location where products, gifts, memberships can be purchased."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Store-store.read":{"type":"object","description":"A store is a location where products, gifts, memberships can be purchased.","properties":{"id":{"readOnly":true,"type":"integer"},"organisation":{"type":"integer"},"name":{"type":"string"},"status":{"default":"Draft","type":"string","enum":["Draft","Active","Closed"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"domain":{"description":"The glu.io subdomain for the store, e.g. \"my-store\" for \"my-store.glu.io\". This is used to generate links to the store and must be unique across all stores.","type":"string"},"aliasDomain":{"anyOf":[{"$ref":"#/components/schemas/StoreAliasDomain-store.read"},{"type":"null"}]},"defaultVoucherTerms":{"default":"","type":"string"},"paymentGateway":{"anyOf":[{"$ref":"#/components/schemas/OrganisationPaymentGateway-store.read"},{"type":"null"}]},"hasValidFrom":{"default":false,"type":"boolean"},"validFromPeriod":{"type":["string","null"],"enum":["Days","Months","Years","Fixed",null]},"validFromLength":{"type":["integer","null"]},"validFromFixedDate":{"description":"The fixed start date for vouchers. This is used if the validity period is based on a fixed date rather than a length of time.","type":["string","null"],"format":"date-time"},"validityPeriod":{"default":"Years","type":"string","enum":["Days","Months","Years","Fixed"]},"validityLength":{"description":"Combined with the validityPeriod field, this defines the length of time vouchers are valid for. For example if validityPeriod is set to \"Months\" and this field is set to 6, vouchers will be valid for 6 months from the date they are issued.","default":1,"type":"integer"},"validityFixedDate":{"description":"The fixed expiration date for vouchers. This is used if the validity period is based on a fixed date rather than a length of time.","type":["string","null"],"format":"date-time"},"termsUrl":{"description":"A full URL to the terms and conditions for the store. This should link to a page that outlines the terms and conditions for using the store, including any rules around purchasing, returns, and refunds.","default":"","type":"string"},"privacyUrl":{"description":"A full URL to the privacy policy for the store. This should link to a page that outlines how customer data is collected, used, and protected when using the store.","default":"","type":"string"},"contactUrl":{"description":"A full URL to a page that provides contact information and support options for customers.","default":"","type":"string"},"locations":{"type":"array","items":{"$ref":"#/components/schemas/Location-store.read"}},"mainWebsiteUrl":{"description":"The full URL back to your own website. This is used in various places such as the header and footer of the store, and can be used to link back to your main website from the store.","default":"","type":"string"},"businessDescription":{"default":"","type":"string"},"type":{"type":"string","enum":["Gift Card","Membership"]},"redirectOnSingleProduct":{"default":true,"type":"boolean"},"qrCodeMode":{"default":"Code","type":"string","enum":["Code","Redeem URL","Register URL"]},"notifyEmailAddresses":{"type":"array","items":{"type":["string","null"]}},"processingFee":{"default":0,"type":"integer"},"processingFeeLabel":{"default":"","type":"string"},"processingFeeEnabled":{"default":false,"type":"boolean"},"defaultVoucherRedeemInstructions":{"default":"","type":"string"},"timezone":{"default":"Europe/London","type":["string","null"]},"language":{"default":"en","type":["string","null"]},"giftCardsExpire":{"default":true,"type":"boolean"},"locale":{"default":"en_GB","type":"string"},"currencies":{"type":"array","items":{"$ref":"#/components/schemas/StoreCurrency-store.read"}},"displayName":{"default":"","type":"string"}}},"StoreAliasDomain-store.read":{"type":"object","properties":{"id":{"readOnly":true,"type":"integer"},"domain":{"type":"string"}}},"OrganisationPaymentGateway-store.read":{"type":"object"},"Location-store.read":{"type":"object"},"StoreCurrency-store.read":{"type":"object","properties":{"currencyCode":{"type":"string"}}},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["number","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["number","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/stores/{id}":{"get":{"operationId":"api_stores_id_get","tags":["Store"],"responses":{"200":{"description":"Store resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Store-store.read"}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Retrieve a store","description":"Retrieve a store","parameters":[{"name":"id","in":"path","description":"Store identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glu.gitbook.io/docs/api-reference/organisation-api/store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
